Get all programs

get

/fscmRestApi/resources/11.13.18.05/channelPrograms

Request

Query Parameters
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables

    • PrimaryKey Finds channel programs according to the primary key.
      Finder Variables
      • ProgramId; integer; Value that uniquely identifies the channel program.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • ApplyManuallyToOrderFlag; boolean; Contains one of the following values: true or false. If it's true, then the channel program isn't automatically applied on sales orders even if the eligibility criteria is met. If it's false, then the channel program is automatically applied on sales orders upon eligibility evaluation. The value is defaulted from program type.
    • AvailableAmount; number; Available amount in the channel program.
    • BusinessUnit; string; Channel Programs
    • BusinessUnitId; integer; Channel Programs
    • CalculationMethod; string; Method used for calculating accruals in the channel program. A list of accepted values is defined in the lookup type ORA_CJM_TIER_CALC_METHOD.
    • CalculationMethodCode; string; Abbreviation that identifies the calculation method used for calculating accruals in the channel program.
    • CreatedBy; string; Channel Programs
    • CreationDate; string; Channel Programs
    • Currency; string; Name of the currency used for the channel program.
    • CurrencyCode; string; Abbreviation that identifies the currency used for the channel program.
    • EarnedAmount; number; Earned amount in the channel program.
    • EffectiveDateType; string; Name of the effective date type used for evaluating supplier program eligibility. A list of accepted values is defined in the lookup type ORA_CJM_PRICING_APP_DATE_TYPE.
    • FromDate; string; Channel Programs
    • InProgressAmount; number; In-progress amount in the channel program.
    • InitiatedBy; string; Value that identifies if the program was created by the supplier contact or the internal distributor user.
    • InitiatedByCode; string; Abbreviation that identifies if the program was created by the supplier contact or the internal distributor user.
    • LastUpdateDate; string; Channel Programs
    • LastUpdatedBy; string; Channel Programs
    • OpenAmount; number; Open amount in the channel program.
    • OverrideProgramFlag; boolean; Contains one of the following values: true or false. If it's true, then the channel programs that are automatically applied on sales orders can be overridden. If it's false, then the channel programs applied on sales orders can't be overridden. The value is defaulted from program type.
    • Owner; string; Name of the person who owns the channel program. This attribute defaults to the name of the person who creates the program.
    • OwnerId; integer; Value that uniquely identifies the person who owns the channel program.
    • OwnerPersonNumber; string; Number that uniquely identifies the person who owns the channel program.
    • PaidAmount; number; Paid amount in the channel program.
    • ProgramCode; string; Abbreviation that uniquely identifies the channel program.
    • ProgramId; integer; Value that uniquely identifies the channel program. It's a primary key that the application generates when it creates the program.
    • ProgramName; string; Name of the channel program.
    • ProgramTemplate; string; Name of the predefined program template on which the channel program is based. A list of accepted values is defined in the lookup type ORA_CJM_PROGRAM_TYPE.
    • ProgramTemplateCode; string; Abbreviation that identifies the predefined program template on which the channel program is based.
    • ProgramType; string; Type of program on which the channel program is based.
    • ProgramTypeId; integer; Value that uniquely identifies the type of program on which the channel program is based.
    • PurchasedAmount; number; Purchase amount in the channel program.
    • Status; string; Status of the channel program.
    • StatusId; integer; Value that uniquely identifies the status of the channel program.
    • Supplier; string; Name of the supplier supporting the channel program.
    • SupplierAuthorizationNumber; string; Number that identifies the authorization provided by supplier.
    • SupplierContact; string; Person who represents the supplier when communicating with the buyer.
    • SupplierContactId; integer; Channel Programs
    • SupplierId; integer; Channel Programs
    • SupplierNumber; string; Channel Programs
    • SupplierQuoteNumber; string; Number that indicates the quote provided by supplier.
    • SupplierSite; string; Value that identifies the supplier site.
    • SupplierSiteAddress; string; Address for the supplier site.
    • SupplierSiteId; integer; Channel Programs
    • SystemStatus; string; System status of the supplier program.
    • SystemStatusCode; string; Abbreviation that identifies the system status of the supplier program.
    • ToDate; string; Channel Programs
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : channelPrograms
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : channelPrograms-item-response
Type: object
Show Source
Nested Schema : Alternate Supplier Sites
Type: array
Title: Alternate Supplier Sites
The Alternate Supplier Sites resource manages alternate supplier sites of a supplier rebate program.
Show Source
Nested Schema : Attachments
Type: array
Title: Attachments
The attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : DFF
Type: array
Show Source
Nested Schema : Market Rules
Type: array
Title: Market Rules
The Market Rules resource manages rules for identifying eligible customers for a program. This resource has been superseded by the marketRulesV2 resource.
Show Source
Nested Schema : Market Rules V2
Type: array
Title: Market Rules V2
Manages rules for identifying eligible supplier programs. For example, a market rule could be that the customer is Seven Corporation.
Show Source
Nested Schema : Notes
Type: array
Title: Notes
The note objects resource is used to view the note objects.
Show Source
Nested Schema : Product Rules
Type: array
Title: Product Rules
The Product Rules resource manages rules for identifying eligible products for a program.
Show Source
Nested Schema : Program Rules
Type: array
Title: Program Rules
The Program Rules resource manages mandatory market rules for a program.
Show Source
Nested Schema : Volume Rules
Type: array
Title: Volume Rules
The Volume Rules resource manages volume rules of a volume program.
Show Source
Nested Schema : channelPrograms-alternateSupplierSites-item-response
Type: object
Show Source
Nested Schema : channelPrograms-attachments-item-response
Type: object
Show Source
Nested Schema : channelPrograms-DFF-item-response
Type: object
Show Source
Nested Schema : channelPrograms-marketRules-item-response
Type: object
Show Source
Nested Schema : Conditions
Type: array
Title: Conditions
The Conditions resource manages additional conditions for a market rule of a program.
Show Source
Nested Schema : channelPrograms-marketRules-conditions-item-response
Type: object
Show Source
Nested Schema : channelPrograms-marketRulesV2-item-response
Type: object
Show Source
  • Read Only: true
    Maximum Length: 255
    Number of the bill-to customer account.
  • Read Only: true
    Maximum Length: 255
    Address for the customer. It applies if the qualifier type is Customer, Bill-to Account or Ship To.
  • Number that identifies the trailing component of the display line number. The display line number is a concatenation of the rule number and the child rule number separated by a period. For example, if the display line number is 5.2, then the rule number is 5 and the child rule number is 2.
    Validation: It must be an integer >= 0. It can't have a duplicate display line number.
  • Maximum Length: 255
    Name of the comparison operator used in the market rule. A list of accepted values is defined in the lookup type ORA_CJM_QUALIFIER_OPERATOR.
  • Maximum Length: 30
    Abbreviation that identifies the comparison operator used in the market rule.
  • Read Only: true
    Maximum Length: 64
    Market Rules V2
  • Read Only: true
    Market Rules V2
  • Read Only: true
    Maximum Length: 255
    Market Rules V2
  • Read Only: true
    Contains one of the following values: true or false. If true, then it's a custom qualifier. If false, then it isn't a custom qualifier. The default value for this attribute is false.
  • Read Only: true
    Maximum Length: 255
    Type of dimension data. Valid values include text, number, date, and time stamp. A list of accepted values is defined in the lookup type ORA_QP_MTRXR_DIMN_DATA_TYPES.
  • Read Only: true
    Maximum Length: 255
    Lookup type code for the dimension of the lookup domain type.
  • Read Only: true
    Maximum Length: 255
    Type of domain. Valid values include lookup, view object query, and custom. A list of accepted values is defined in the lookup type ORA_QP_MTRXR_DIMN_DOMAIN_TYPES.
  • Date when the market rule becomes applicable.
  • Read Only: true
    Market Rules V2
  • Read Only: true
    Maximum Length: 64
    Market Rules V2
  • Links
  • Read Only: true
    Market Rules V2
  • Value that identifies the parent market rule.
  • Value that uniquely identifies the supplier program.
  • Read Only: true
    Value of the numeric qualifier used in the supplier program qualification.
  • Maximum Length: 255
    Type of qualifier used to define the eligibility of the supplier program. A list of accepted values is defined in the lookup type ORA_CJM_QUALIFIER_TYPE for supplier ship and debit programs and the lookup type ORA_CJM_SUP_REBATE_QUAL for supplier rebate programs.
  • Maximum Length: 30
    Abbreviation that identifies the type of qualifier used to define the eligibility of the supplier program.
  • Maximum Length: 255
    Name of the qualifier used in the supplier program qualification.
  • Maximum Length: 240
    Abbreviation that identifies the qualifier used in the supplier program qualification.
  • Value that uniquely identifies the market rule. It's a primary key that the application generates when it creates the market rule.
  • Number that identifies the leading component of the display line number. The display line number is a concatenation of the rule number and the child rule number separated by a period. For example, if the display line number is 3.1, then the rule number is 3 and the child rule number is 1.
  • Read Only: true
    Maximum Length: 255
    Name of the bill-to customer account site or the ship-to site.
  • Date when the market rule is no longer applicable.
Nested Schema : channelPrograms-notes-item-response
Type: object
Show Source
Nested Schema : channelPrograms-productRules-item-response
Type: object
Show Source
Nested Schema : DFF
Type: array
Show Source
Nested Schema : channelPrograms-productRules-DFF-item-response
Type: object
Show Source
Nested Schema : channelPrograms-programRules-item-response
Type: object
Show Source
Nested Schema : channelPrograms-volumeRules-item-response
Type: object
Show Source
Nested Schema : Products
Type: array
Title: Products
The Products resource manages the eligible products for a volume program.
Show Source
Nested Schema : Tiers
Type: array
Title: Tiers
The Tiers resource manages the tier definition of a volume program.
Show Source
Nested Schema : channelPrograms-volumeRules-products-item-response
Type: object
Show Source
Nested Schema : Exclusions
Type: array
Title: Exclusions
The Exclusions resource manages the product or category exclusions from the volume program.
Show Source
Nested Schema : channelPrograms-volumeRules-products-exclusions-item-response
Type: object
Show Source
Nested Schema : channelPrograms-volumeRules-tiers-item-response
Type: object
Show Source
Back to Top

Examples

This example describes how to get all programs.

Example cURL Command

Use the following cURL command to submit a request on the REST resource:

curl -u username:password "https://servername/fscmRestApi/resources/version/channelPrograms"

Example Response Body

The following shows an example of the response body in JSON format.

{
	"items": [
	{
		"ProgramId": 300100185773684,
		"ProgramType": "Sales Initiated",
		"ProgramTypeId": 300100185735482,
		"ProgramTemplate": "Supplier Ship and Debit",
		"ProgramTemplateCode": "SUPPLIER_SHIP_AND_DEBIT",
		"BusinessUnit": "Vision Operations",
		"BusinessUnitId": 204,
		"ProgramName": "CA Vendor Rebate",
		"ProgramCode": "SSD13001",
		"Owner": "channel_user",
		"OwnerId": 300100181693728,
		"Status": "Active",
		"StatusId": 300100183528749,
		"Currency": "US Dollar",
		"CurrencyCode": "USD",
		"Description": null,
		"CreatedBy": "channel_user",
		"CreationDate": "2020-06-03T02:03:38+00:00",
		"LastUpdatedBy": "channel_user",
		"LastUpdateDate": "2020-06-03T02:03:38.628+00:00",
		"Supplier": "CDS, Inc",
		"SupplierId": 1178,
		"SupplierNumber": "5102",
		"SupplierSite": "PITTSBURGH",
		"SupplierSiteId": 2854,
		"SupplierAuthorizationNumber": null,
		"SupplierQuoteNumber": null,
		"EffectiveDateTypeCode": "REQ_SHIP_DATE",
		"FromDate": "2020-06-03",
		"ToDate": "2021-06-03",
		"ApplyManuallyToOrderFlag": false,
		"OverrideProgramFlag": true,
		"links": [
		{
			"rel": "self",
			"href": "https://servername/fscmRestApi/resources/version/channelPrograms/300100185773684",
			"name": "channelPrograms",
			"kind": "item",
			"properties": {
				"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
			}
		},
		{
			"rel": "canonical",
			"href": "https://servername/fscmRestApi/resources/version/channelPrograms/300100185773684",
			"name": "channelPrograms",
			"kind": "item"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/channelPrograms/300100185773684/child/DFF",
			"name": "DFF",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/channelPrograms/300100185773684/child/marketRules",
			"name": "marketRules",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/channelPrograms/300100185773684/child/productRules",
			"name": "productRules",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/channelPrograms/300100185773684/child/programRules",
			"name": "programRules",
			"kind": "collection"
		}
		]
	},
	{
		"ProgramId": 300100185773659,
		"ProgramType": "Sales Initiated",
		"ProgramTypeId": 300100185735482,
		"ProgramTemplate": "Supplier Ship and Debit",
		"ProgramTemplateCode": "SUPPLIER_SHIP_AND_DEBIT",
		"BusinessUnit": "Vision Operations",
		"BusinessUnitId": 204,
		"ProgramName": "NY Vendor Rebate",
		"ProgramCode": "SSD13000",
		"Owner": "channel_user",
		"OwnerId": 300100181693728,
		"Status": "Active",
		"StatusId": 300100183528749,
		"Currency": "US Dollar",
		"CurrencyCode": "USD",
		"Description": null,
		"CreatedBy": "channel_user",
		"CreationDate": "2020-06-03T01:58:33+00:00",
		"LastUpdatedBy": "channel_user",
		"LastUpdateDate": "2020-06-03T01:58:35.823+00:00",
		"Supplier": "CDS, Inc",
		"SupplierId": 1178,
		"SupplierNumber": "5102",
		"SupplierSite": "PITTSBURGH",
		"SupplierSiteId": 2854,
		"SupplierAuthorizationNumber": null,
		"SupplierQuoteNumber": null,
		"EffectiveDateTypeCode": "REQ_SHIP_DATE",
		"FromDate": "2020-06-03",
		"ToDate": "2021-06-03",
		"ApplyManuallyToOrderFlag": false,
		"OverrideProgramFlag": true,
		"links": [
		{
			"rel": "self",
			"href": "https://servername/fscmRestApi/resources/version/channelPrograms/300100185773659",
			"name": "channelPrograms",
			"kind": "item",
			"properties": {
				"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
			}
		},
		{
			"rel": "canonical",
			"href": "https://servername/fscmRestApi/resources/version/channelPrograms/300100185773659",
			"name": "channelPrograms",
			"kind": "item"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/channelPrograms/300100185773659/child/DFF",
			"name": "DFF",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/channelPrograms/300100185773659/child/marketRules",
			"name": "marketRules",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/channelPrograms/300100185773659/child/productRules",
			"name": "productRules",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/channelPrograms/300100185773659/child/programRules",
			"name": "programRules",
			"kind": "collection"
		}
		]
	}
	],
	"count": 2,
	"hasMore": false,
	"limit": 25,
	"offset": 0,
	"links": [
	{
		"rel": "self",
		"href": "https://servername/fscmRestApi/resources/version/channelPrograms",
		"name": "channelPrograms",
		"kind": "collection"
	}
	]
}
Back to Top